<html>
  <head>
    <title>TP Vue.js Leaflet</title>
  </head>
  <body>
    <div id="app">
      <h2>From</h2>
      <address>
        Road: {{ this.from.road }}
        Zip code: {{ from.zipCode }}
        City: {{ from.city }}
        <template v-if="from.complement">Complement: {{ from.complement }}</template>
        <template v-if="from.country">Country: {{ from.country }}</template>
        <template v-if="from.state">State: {{ from.state }}</template>
      </address>
      <button @click="addressToEdit = from">Edit from</button>
      <h2>To</h2>
      <address>
        Road: {{ this.to.road }}
        Zip code: {{ to.zipCode }}
        City: {{ to.city }}
        <template v-if="to.complement">Complement: {{ to.complement }}</template>
        <template v-if="to.country">Country: {{ to.country }}</template>
        <template v-if="to.state">State: {{ to.state }}</template>
      </address>
      <button @click="addressToEdit = to">Edit to</button>
      <hr>
      <form v-if="addressToEdit">
        formulaire d'édition de From
        <br>
        <template
          v-for="field in fields"
        >
          {{ field.label }} :
          <input
            v-model="addressToEdit[field.name]"
            v-bind="field"
          >
          <br>
        </template>
      </form>

    </div>
    <script src="https://unpkg.com/vue@next"></script>
    <script type="text/javascript">
      const Address = {
        data () {
          return {
            addressToEdit: null,
            from: {
              road: '3 Villeneuve',
              zipCode: '44130',
              city: 'Notre dame des Landes',
              complement: 'ZAD',
              country: 'Loire Atlantique',
            },
            to: {
              road: 'rue riquet',
              zipCode: '31000',
              city: 'Toulouse',
              state: 'France'
            },
            fields: [{
              name: 'road',
              label: 'Road',
              title: 'Road',
              type: 'text',
              style: {
                color: 'red'
              }
            }, {
              name: 'zipCode',
              label: 'Zip Code',
              title: 'Zip Code',
              type: 'number',
              style: {
                backgroundColor: 'green'
              }
            }, {
              name: 'city',
              label: 'City',
              title: 'City',
              type: 'text'
            }, {
              name: 'complement',
              label: 'Complement',
              title: 'Complement',
              type: 'text'
            }, {
              name: 'country',
              label: 'Country',
              title: 'Country',
              type: 'text'
            }, {
              name: 'state',
              label: 'State',
              title: 'State',
              type: 'text'
            }]
          }
        }
      }
      Vue.createApp(Address).mount('#app')
    </script>
  </body>
</html>